/*
 */

package com.ak.osgi.service.test;

import java.rmi.RemoteException;
import java.util.Dictionary;
import java.util.Hashtable;

import org.knopflerfish.service.log.LogRef;
import org.osgi.framework.*;

import com.ak.osgi.service.rmi.interfaces.demo2.RemoteDemo2;
import com.ak.osgi.service.rmi.serviceimpl.demo2.RemoteDemo2Impl;

/**
 * Activator which creates and registers a Demo1 service.
 */
public class ActivatorDemo2 implements BundleActivator
{

  private RemoteDemo2Impl demo1;
  static LogRef log;

  public void start( BundleContext bc )
  {
    ActivatorDemo2.log = new LogRef( bc );
    log.info( "start " + getClass().getName() );

    try
    {
      demo1 = new RemoteDemo2Impl();
    }
    catch( RemoteException e )
    {
      log.error( "can not create new 'RemoteDemo2' service." );
    }

    Dictionary props = new Hashtable();
    props.put( "rmiservice.local", "Demo 2" );
    bc.registerService( RemoteDemo2.class.getName(), demo1, props );
  }

  public void stop( BundleContext bc )
  {
    log.info( "stop " + getClass().getName() );
    demo1 = null;
  }
}
